<?php
/**
 * Created by PhpStorm.
 * User: gb
 * Date: 1/19/2019
 * Time: 1:35 AM
 */

class WedoioInvVariant extends WedoioEntity
{
    protected $invariant_number;

    public function __construct($invVariant_number = 1,$params = false)
    {
        parent::__construct("InvVariant".$invVariant_number,$params);
        $this->invariant_number = $invVariant_number;
    }

    /**
     * Load the InvVariatn by key
     * @param $key
     */
    public function load_by_variant($key){
        $api = new WedoioApi();
        $invvariants_found = $api->fetch("InvVariant".$this->invariant_number,['_Variant' => $key]);
        $invvariant_found = reset($invvariants_found);
        $this->import($invvariant_found);
    }

    /**
     * Returns the related term corresponding to this RowId
     */
    public function get_related_term(){
        $term = new WedoioProductVariationAttribute("InvVariant".$this->invariant_number);
        $term->load_by_rowId($this->RowId);
        return $term;
    }

    /**
     * We Sync the InvVariant and update the terms in woocommerce
     */
    public function sync(){
        $term = $this->get_related_term();
        if(!$this->_Name) return;
        $term->name = $this->_Name;

        if(!$term->term_id){
            // If there is a no term ID, that means that we are going to create a new Term. So we set the data first
            $term->RowId = $this->RowId;
        }

        // And Finally we save it
        $term->save();
    }

    /**
     * If we receive a delete action from uniconta. We need to delete the related term
     */
    public function delete(){
        $term = $this->get_related_term();
        $term->delete();
    }
}